<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier inc/prime_numbers.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('prime__numbers_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier prime_numbers.h</div>  </div>
</div><!--header-->
<div class="contents">

<p>C'est le header du fichier <a class="el" href="prime__numbers_8c.html" title="Contient les fonctions pour gérer les nombres premiers. ">prime_numbers.c</a>.  
<a href="#details">Plus de détails...</a></p>

<p><a href="prime__numbers_8h_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a6282aaf95815944470f76e7d4d47f842"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="prime__numbers_8h.html#a6282aaf95815944470f76e7d4d47f842">is_prime_number</a> (int num)</td></tr>
<tr class="memdesc:a6282aaf95815944470f76e7d4d47f842"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérification si le nombre <em>num</em> est premier.  <a href="#a6282aaf95815944470f76e7d4d47f842">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6282aaf95815944470f76e7d4d47f842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b43ccf08aab0eda316b94bbea76503"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="prime__numbers_8h.html#a25b43ccf08aab0eda316b94bbea76503">lower_prime_number</a> (int num)</td></tr>
<tr class="memdesc:a25b43ccf08aab0eda316b94bbea76503"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul du nombre premier directement inférieur à <em>num</em>.  <a href="#a25b43ccf08aab0eda316b94bbea76503">Plus de détails...</a><br /></td></tr>
<tr class="separator:a25b43ccf08aab0eda316b94bbea76503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c22abf33495ed06a74a72d4d389e2a6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="prime__numbers_8h.html#a3c22abf33495ed06a74a72d4d389e2a6">upper_prime_number</a> (int num)</td></tr>
<tr class="memdesc:a3c22abf33495ed06a74a72d4d389e2a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul du nombre premier directement supérieur à <em>num</em>.  <a href="#a3c22abf33495ed06a74a72d4d389e2a6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a3c22abf33495ed06a74a72d4d389e2a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>C'est le header du fichier <a class="el" href="prime__numbers_8c.html" title="Contient les fonctions pour gérer les nombres premiers. ">prime_numbers.c</a>. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a6282aaf95815944470f76e7d4d47f842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6282aaf95815944470f76e7d4d47f842">&#9670;&nbsp;</a></span>is_prime_number()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int is_prime_number </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>num</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vérification si le nombre <em>num</em> est premier. </p>
<dl class="section return"><dt>Renvoie</dt><dd><em>true</em> si <em>num</em> est premier, <em>false</em> sinon </dd></dl>

</div>
</div>
<a id="a25b43ccf08aab0eda316b94bbea76503"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25b43ccf08aab0eda316b94bbea76503">&#9670;&nbsp;</a></span>lower_prime_number()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int lower_prime_number </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>num</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calcul du nombre premier directement inférieur à <em>num</em>. </p>
<dl class="section return"><dt>Renvoie</dt><dd>Le nombre premier directement inférieur à <em>num</em> </dd></dl>

</div>
</div>
<a id="a3c22abf33495ed06a74a72d4d389e2a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c22abf33495ed06a74a72d4d389e2a6">&#9670;&nbsp;</a></span>upper_prime_number()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int upper_prime_number </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>num</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calcul du nombre premier directement supérieur à <em>num</em>. </p>
<dl class="section return"><dt>Renvoie</dt><dd>Le nombre premier directement supérieur à <em>num</em> </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="prime__numbers_8h.html">prime_numbers.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
